Subject: [PATCH games-team 00/14] Package and use RetroArch assets, plus other improvements.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 6 Oct 2024 14:31:56 +0900

Testing RetroArch, I wondered why the UI was so unappealing, with black boxes
where there should have been icons and pixelated text.  It was difficult to
comprehend the interface.

Researching a bit, I've found the 'assets' are actually needed for the various
menu modes of RetroArch to render correctly; I've thus packaged them, and
devised a way to discover them in a way that will be immune to going stale
(RetroArch always saves a configuration file upon exists, and persists any
settings used -- the environment variable mechanism devised thus had to
override a value found in the ~/.config/retroarch/retroarch.cfg file).

Maxim Cournoyer (14):
  gnu: Add retroarch-assets.
  gnu: Add retroarch-core-info.
  gnu: Add retroarch-joypad-autoconfig.
  gnu: retroarch: Use gexps.
  gnu: retroarch: Add missing inputs, upgrade Qt to version 6.
  gnu: retroarch: Clean-up source from extraneous bundled libraries.
  gnu: retroarch: Extend search-path support.
  gnu: retroarch: Really disable online fetching of cores and resources.
  gnu: retroarch: Propagate core assets.
  gnu: retroarch: Update to 1.19.1-1.48b71d5.
  gnu: libretro-lowresnx: Use gexps.
  gnu: Add libretro-mupen64plus-nx.
  gnu: Add retroarch-slang-shaders.
  gnu: Add libretro-bsnes-jg.

 gnu/local.mk                                  |    1 +
 gnu/packages/emulators.scm                    | 1132 +++++++++++++++--
 .../retroarch-improved-search-paths.patch     |  298 +++++
 3 files changed, 1346 insertions(+), 85 deletions(-)
 create mode 100644 gnu/packages/patches/retroarch-improved-search-paths.patch

base-commit: afdb5af46b18ba784f9cf0f946256082a24c593c
-- 
2.46.0